let cnv;                            // グルーバル変数（オブジェクト）としてcnvを事前定義

function setup(){
    cnv = createCanvas(600, 600);   // 600×600ピクセルのCanvasを生成
    cnv.position(100, 100);         // Canvasを左100ピクセル、上から100ピクセルの位置に配置
    frameRate(30);                  // 1秒間にdraw()を何回実行するか
}

function draw(){
    clear();                        // Canvasの描画領域を全クリア
    background(200, 200, 200);      // Canvasの領域の背景色を灰色に

    let y = Math.sin(frameCount*0.1) * 250; // y座標をsin関数で求める
                                            //frameCountは、p5.jsが保持するシステム変数。
                                            //drawが実行される度に1増える
                                            //sin関数への引数はラジアンでも度でも良いので適当に0.1倍
    let x = Math.cos(frameCount*0.1) * 250; //x座標をcos関数で求める
    console.log(x ,y);

    noFill();   // 次の描画処理の塗りを透明にする
    stroke(0);  // 次の描画処理の線の色を黒にする
    strokeWeight(1);    // 次の描画処理の線の太さを1にする
    circle(300 + x, 300 + y , 50);  //円を描く（中心に定位させるため、x,y座標をそれぞれ+300）
}